# path::get-extension

[This is preliminary documentation and subject to change.]

Returns the extension for the specified path string.

### Usage

`string path::get-extension(path)`

### Parameters

Name | Type | Description
--- | --- | ---
path | string | The path string from which to get the extension.

### Return Value

A String containing the extension of the specified path (including the "."), or an empty String if path does not have extension information.

### Exceptions

The function will fail in any of the following circumstances:

- path contains one or more invalid characters.

### Requirements

Assembly: NAnt.Core (0.85.1932.0)